[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# equal(TUInt24Rec,LongInt):Boolean

Check whether a TUInt24Rec value equals a longint value.

## Declaration

Source position: unicodedata.pas line 239

`class operator TUInt24Rec.equal(TUInt24Rec,LongInt):Boolean(`
`a: TUInt24Rec;`
`b: LongInt`
`):Boolean;`

## Arguments

`a` |  | TUInt24Rec to compare
`b` |  | Longint value to compare

## Function result

True if a and b are equal

## Description

The longint b is considered equal to a if the fourth byte (LSB) is zero, and the first three bytes equal byte0, byte1, and byte2.